package com.lz.modules.luck.dao;
/**
* <p>
* 活动名称表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-21
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.luck.entity.Luck;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface LuckMapper extends BaseMapper<Luck> {


	Luck selectLuckById(@Param("id")Long id);


	Long insertLuck(Luck luck);


	int updateLuckById(Luck luck);


	int updateCoverLuckById(Luck luck);


	int deleteLuckById(@Param("id")Long id);


	void setLuckFinishById(Long luckId);
}